using System;
using System.Reflection;

internal sealed class Delegate866 : MulticastDelegate
{
	public extern bool Invoke(MethodInfo methodInfo_0, MethodInfo methodInfo_1);

	public static bool smethod_0(MethodInfo methodInfo_0, MethodInfo methodInfo_1, Delegate866 delegate866_1)
	{
		return delegate866_1(methodInfo_0, methodInfo_1);
	}

	public extern Delegate866(object object_0, IntPtr intptr_0);

	static Delegate866()
	{
		Class10.smethod_13(typeof(Delegate866).TypeHandle);
	}

	internal static Delegate866 delegate866_0;
}
